Index: sandbox/2.5.1-expresso1/prototype/modules/attach_message/attach_message.js
===================================================================
--- sandbox/2.5.1-expresso1/prototype/modules/attach_message/attach_message.js	(revision 7939)
+++ sandbox/2.5.1-expresso1/prototype/modules/attach_message/attach_message.js	(revision 7940)
@@ -423,5 +423,4 @@
                     var message = {};
                     
-                    console.log(flag);
                     
                     message['msg_number'] = id;
@@ -796,6 +795,4 @@
                     stamp = parseInt(stamp);
 
-                    console.log(flag);
-
                     message['msg_number'] = id;
                     message['flags'] = archive_flag_search(flag);//"1,1,1,1,1,1";//
@@ -882,5 +879,5 @@
         	DataLayer.register( 'criterias', 'message:jqGridSearch', function( crit ){
 			    crit.properties = { context: { folder: folder } };
-			    console.log(crit);
+
 			    return { filter: [ "msgNumber", "IN", data ], criteria: crit };
 			});
Index: sandbox/2.5.1-expresso1/expressoMail1_2/js/mail_archiver.js
===================================================================
--- sandbox/2.5.1-expresso1/expressoMail1_2/js/mail_archiver.js	(revision 7939)
+++ sandbox/2.5.1-expresso1/expressoMail1_2/js/mail_archiver.js	(revision 7940)
@@ -172,5 +172,5 @@
     this.allmessagesbyfolder = new Array();
     this.allcompletemessagesbyfolder = new Array();
-    this.isArchiveOperation = false; //Se estiver em andamento uma operaÃÂ§ÃÂ£o de arquivamento/desarquivamento.
+    this.isArchiveOperation = false; //Se estiver em andamento uma operaÃ§Ã£o de arquivamento/desarquivamento.
     //Contadores da aba de listagem de mensagem
     this.tot_msgs_tab = 0;
@@ -1067,5 +1067,5 @@
         expresso_mail_archive.CreateMessageList(msgs_number);
         expresso_mail_archive.folder_destination = folder;
-        //window.alert('invocando o moveMessages com lista = ' + expresso_mail_archive.message_list.length + ' e folder destino =' + folder + '.\nFolder corrente Ã¯Â¿Âœ ' + expresso_mail_archive.currentfolder);
+        //window.alert('invocando o moveMessages com lista = ' + expresso_mail_archive.message_list.length + ' e folder destino =' + folder + '.\nFolder corrente ï¿œ ' + expresso_mail_archive.currentfolder);
         
         if((expresso_mail_archive.message_list.length > 0) && (expresso_mail_archive.message_list[0] != '')) {
@@ -1188,5 +1188,5 @@
             //var folderData = new Array(folderlist.getReturn()[i].getName(), folderlist.getReturn()[i].getMessageCount(), folderChild, folderlist.getReturn()[i].getId(), folderlist.getReturn()[i].getParentId(), folderlist.getReturn()[i].getPath());
             var folderData = {name: folderlist.getReturn()[i].getName(), messages: folderlist.getReturn()[i].getMessageCount(), haschild: folderChild, id: folderlist.getReturn()[i].getId(), parentid: folderlist.getReturn()[i].getParentId(), path: folderlist.getReturn()[i].getPath(), unseen: folderlist.getReturn()[i].getUnseenCount()};
-            //window.alert('folder ' + folderData.name + ' tem ' + folderData.messages + ' mensagens, sendo ' + folderData.unseen + ' nÃ¯Â¿Âœo lidas');
+            //window.alert('folder ' + folderData.name + ' tem ' + folderData.messages + ' mensagens, sendo ' + folderData.unseen + ' nï¿œo lidas');
             lfolders.push(folderData);
         }
@@ -1543,5 +1543,5 @@
         var msgitem = connector.unserialize(ExpSerialized);
         
-        // correÃÂ§ÃÂ£o para por no padrao certo, se nao fizer isso buga a listagem
+        // correÃ§Ã£o para por no padrao certo, se nao fizer isso buga a listagem
         msgitem.msg_sample = { "body": msgitem.msg_sample };
 
@@ -1594,15 +1594,15 @@
     var msgAll = new Array();
     for(var i=0; i< returnService.getReturn().length; i++){
-        //Array montado apenas com ids para tratamento de seleÃÂ§ÃÂ£o de mensagens independente de paginaÃÂ§ÃÂ£o
+        //Array montado apenas com ids para tratamento de seleÃ§Ã£o de mensagens independente de paginaÃ§Ã£o
         msglist.push(returnService.getReturn()[i]._id);
 
         msgAll.push(returnService.getReturn()[i]);
 
-        //Incremento de contadores para atualizaÃÂ§ÃÂ£o da aba de listagem
+        //Incremento de contadores para atualizaÃ§Ã£o da aba de listagem
         if(returnService.getReturn()[i]._tags.indexOf("unseen") != -1){
             expresso_mail_archive.tot_unseen_msgs_tab++;
         }
         expresso_mail_archive.tot_msgs_tab++;
-        //Array montado para operaÃÂ§ÃÂ£o de desarquivamento
+        //Array montado para operaÃ§Ã£o de desarquivamento
         var ExpSerialized = expresso_mail_archive.pattern.toExpressoHeader(returnService.getReturn()[i]);
         msglistcomplete.push(connector.unserialize(ExpSerialized));
@@ -1637,12 +1637,12 @@
     var msglistcomplete = new Array();
     for(var i=0; i< returnService.getReturn().length; i++){
-        //Array montado apenas com ids para tratamento de seleÃÂ§ÃÂ£o de mensagens independente de paginaÃÂ§ÃÂ£o
+        //Array montado apenas com ids para tratamento de seleÃ§Ã£o de mensagens independente de paginaÃ§Ã£o
         msglist.push(returnService.getReturn()[i]._id);
-        //Incremento de contadores para atualizaÃÂ§ÃÂ£o da aba de listagem
+        //Incremento de contadores para atualizaÃ§Ã£o da aba de listagem
         if(returnService.getReturn()[i]._tags.indexOf("unseen") != -1){
             expresso_mail_archive.tot_unseen_msgs_tab++;
         }
         expresso_mail_archive.tot_msgs_tab++;
-        //Array montado para operaÃÂ§ÃÂ£o de desarquivamento
+        //Array montado para operaÃ§Ã£o de desarquivamento
         var ExpSerialized = expresso_mail_archive.pattern.toExpressoHeader(returnService.getReturn()[i]);
         msglistcomplete.push(connector.unserialize(ExpSerialized));
@@ -1675,5 +1675,5 @@
     
     /*for (var w=0; w < expresso_mail_archive.folders.length; w++){
-        //window.alert('comparando folder "' + expresso_mail_archive.folders[w]["id"] + '" com o corrente "' + expresso_mail_archive.currentfolder + '"\nEnquanto que o folder.name obtido do getfolderinfo ÃÂ© "' + expresso_mail_archive.folder.name + '"');
+        //window.alert('comparando folder "' + expresso_mail_archive.folders[w]["id"] + '" com o corrente "' + expresso_mail_archive.currentfolder + '"\nEnquanto que o folder.name obtido do getfolderinfo Ã© "' + expresso_mail_archive.folder.name + '"');
         if(expresso_mail_archive.folders[w]["id"] == expresso_mail_archive.currentfolder){
             fcaption = expresso_mail_archive.folders[w]["name"];
@@ -1687,5 +1687,5 @@
     /*window.alert('fcaption = ' + fcaption);
     var udate_tree_folder = expresso_mail_archive.drawdata.treefolder;
-    window.alert('atualizar contador da Ã¯Â¿Âœrvore : ' + udate_tree_folder);
+    window.alert('atualizar contador da ï¿œrvore : ' + udate_tree_folder);
     var udate_tab_folder = expresso_mail_archive.drawdata.tabfolder;
     window.alert('atualizar contador da tab : ' + udate_tab_folder);*/
@@ -1785,5 +1785,5 @@
 
 
-//** Esse metodo ÃÂ© responsavel da iteraÃÂ§ÃÂ£o com o ContextMenu pois o getMessageMenu estÃÂ¡ com um show_msg, wtf??? LOL!!!  *//
+//** Esse metodo Ã© responsavel da iteraÃ§Ã£o com o ContextMenu pois o getMessageMenu estÃ¡ com um show_msg, wtf??? LOL!!!  *//
 MailArchiver.prototype.getMessageMenu = function(msgdata){
     try{
@@ -1864,5 +1864,5 @@
     //expresso_mail_archive.showEmbededImage(msgBody);
 
-    //Ã necessÃ¡rio fazer o encode com Base64 no destinatÃ¡rio para ser possivel enviar e-mail
+    //É necessário fazer o encode com Base64 no destinatário para ser possivel enviar e-mail
     if(expSerializedMessage.DispositionNotificationTo != null){
         expSerializedMessage.DispositionNotificationTo = Base64.encode(expSerializedMessage.DispositionNotificationTo);
@@ -2192,5 +2192,5 @@
         //expresso_mail_archive.messageslisted = msglist2;
         expresso_mail_archive.search_message_list = msglist2;
-        //window.alert('temos ' + expresso_mail_archive.search_message_list.length + ' mensagens de resultado da pesquisa mapeadas em memÃ¯Â¿Âœria');
+        //window.alert('temos ' + expresso_mail_archive.search_message_list.length + ' mensagens de resultado da pesquisa mapeadas em memï¿œria');
     }
     else{