Index: branches/2.5/prototype/modules/calendar/interceptors/DBMapping.php
===================================================================
--- branches/2.5/prototype/modules/calendar/interceptors/DBMapping.php	(revision 7976)
+++ branches/2.5/prototype/modules/calendar/interceptors/DBMapping.php	(revision 7978)
@@ -943,5 +943,6 @@
                 .'calendar_object.tzid as "timezone", calendar_to_calendar_object.calendar_id as "calendar" '
                 .'FROM calendar_object, calendar_to_calendar_object '
-                .'WHERE ( calendar_object.id = '. $criteria['schedulable'] .' AND calendar_to_calendar_object.calendar_object_id = calendar_object.id)';
+                .'WHERE ( calendar_object.id = '. $criteria['schedulable'] .' AND calendar_to_calendar_object.calendar_object_id = calendar_object.id' 
+                .' AND calendar_to_calendar_object.calendar_id IN (select calendar_id from calendar_signature where calendar_signature.user_uidnumber = '. Config::me('uidNumber') .' )         )'; 
 
             $params = Controller::service('PostgreSQL')->execResultSql($sql);
Index: branches/2.5/prototype/modules/calendar/templates/event_repeat.ejs
===================================================================
--- branches/2.5/prototype/modules/calendar/templates/event_repeat.ejs	(revision 7602)
+++ branches/2.5/prototype/modules/calendar/templates/event_repeat.ejs	(revision 7978)
@@ -5,5 +5,5 @@
 	<p class="input-group">
 		<label for="frequency">Repetição:</label>
-		<select name="frequency" class="frequency" <%= ((data.event.acl.write || data.event.acl.organization) && data.event.isAttendee) ? '' : 'disabled'%>>
+		<select name="frequency" class="frequency" <%= ((data.event.acl.write || data.event.acl.organization) && data.event.isAttendee) ? '' : 'disabled="disabled"'%>>
 			<option value="none">Sem repetição</option>
 			<option value="daily">Diária</option>
@@ -19,8 +19,8 @@
 	<p class="input-group event-repeat-monthly hidden frequency-option"> 
 		<label>Mensalmente por </label>
-		<input type="radio" name="repeatmonthyType" value="0">
+		<input type="radio" name="repeatmonthyType" value="0" <%= ((data.event.acl.write || data.event.acl.organization) && data.event.isAttendee) ? '' : 'disabled="disabled"'%>>
 		<label for="repeatmonthyType">dia do mês</label>
 
-		<input type="radio" name="repeatmonthyType" value="1">
+		<input type="radio" name="repeatmonthyType" value="1" <%= ((data.event.acl.write || data.event.acl.organization) && data.event.isAttendee) ? '' : 'disabled="disabled"'%>>
 		<label for="repeatmonthyType">dia da semana</label>
 	</p>
@@ -29,23 +29,23 @@
 	<p class="input-group event-repeat-weekly hidden frequency-option">   
 		<label>Toda </label>
-		<input type="checkbox" name="repeatweekly[]" value="SU">
+		<input type="checkbox" name="repeatweekly[]" value="SU" <%= ((data.event.acl.write || data.event.acl.organization) && data.event.isAttendee) ? '' : 'disabled="disabled"'%>>
 		<label for="repeatweekly[]">Domingo</label>
 
-		<input type="checkbox" name="repeatweekly[]" value="MO">
+		<input type="checkbox" name="repeatweekly[]" value="MO"  <%= ((data.event.acl.write || data.event.acl.organization) && data.event.isAttendee) ? '' : 'disabled="disabled"'%>>
 		<label for="repeatweekly[]">Segunda</label>
 
-		<input type="checkbox" name="repeatweekly[]" value="TU">
+		<input type="checkbox" name="repeatweekly[]" value="TU"  <%= ((data.event.acl.write || data.event.acl.organization) && data.event.isAttendee) ? '' : 'disabled="disabled"'%>>
 		<label for="repeatweekly[]">Terça</label>
 
-		<input type="checkbox" name="repeatweekly[]" value="WE">
+		<input type="checkbox" name="repeatweekly[]" value="WE" <%= ((data.event.acl.write || data.event.acl.organization) && data.event.isAttendee) ? '' : 'disabled="disabled"'%>>
 		<label for="repeatweekly[]">Quarta</label>
 
-		<input type="checkbox" name="repeatweekly[]" value="TH">
+		<input type="checkbox" name="repeatweekly[]" value="TH" <%= ((data.event.acl.write || data.event.acl.organization) && data.event.isAttendee) ? '' : 'disabled="disabled"'%>>
 		<label for="repeatweekly[]">Quinta</label>
 
-		<input type="checkbox" name="repeatweekly[]" value="FR">
+		<input type="checkbox" name="repeatweekly[]" value="FR" <%= ((data.event.acl.write || data.event.acl.organization) && data.event.isAttendee) ? '' : 'disabled="disabled"'%>>
 		<label for="repeatweekly[]">Sexta</label>
 
-		<input type="checkbox" name="repeatweekly[]" value="SA">
+		<input type="checkbox" name="repeatweekly[]" value="SA" <%= ((data.event.acl.write || data.event.acl.organization) && data.event.isAttendee) ? '' : 'disabled="disabled"'%>>
 		<label for="repeatweekly[]">Sabado</label>
 	</p>
@@ -65,11 +65,11 @@
 			<label class="label_finish_event">A repetição</label>
 			<!--<input type="radio" name="repeat_finish" value="date_fixed">-->
-                        <select name="endOptions" class="endRepeat">
+                        <select name="endOptions" class="endRepeat" <%= ((data.event.acl.write || data.event.acl.organization) && data.event.isAttendee) ? '' : 'disabled="disabled"'%>>
                             <option value="never">Nunca termina</option>
                             <option value="customDate">Termina na Data Selecionada</option>
                             <option value="occurrences">Termina Após n Ocorrencias</option>
                         </select>
-                        <input type="text" name="end" class="date customDateEnd hidden">
-                        <input type="text" name="occurrences" class="tiny number occurrencesEnd hidden">
+                        <input type="text" name="end" class="date customDateEnd hidden" <%= ((data.event.acl.write || data.event.acl.organization) && data.event.isAttendee) ? '' : 'disabled="disabled"'%>>
+                        <input type="text" name="occurrences" class="tiny number occurrencesEnd hidden" <%= ((data.event.acl.write || data.event.acl.organization) && data.event.isAttendee) ? '' : 'disabled="disabled"'%>>
 			<label name="occurrences" class="hidden">Ocorrências</label>
 		</span>
@@ -78,5 +78,5 @@
                 <span class="input-group">
 			<label>Tendo intervalo de</label>
-			<input type="text" name="" class="tiny number eventInterval" value="1">
+			<input type="text" name="" class="tiny number eventInterval" value="1" <%= ((data.event.acl.write || data.event.acl.organization) && data.event.isAttendee) ? '' : 'disabled="disabled"'%>>
 			<label class="interval"></label>
 		</span>
Index: branches/2.5/prototype/modules/calendar/templates/event_add.ejs
===================================================================
--- branches/2.5/prototype/modules/calendar/templates/event_add.ejs	(revision 7036)
+++ branches/2.5/prototype/modules/calendar/templates/event_add.ejs	(revision 7978)
@@ -72,5 +72,5 @@
 		<p class="input-group">
 			<label for="calendar_addevent_details_slt_cal">Agenda</label>
-			<select name="calendar" >
+			<select name="calendar" <%=( data.event.isShared ) ? 'disabled="disabled"' : '' %> >
 			<% 
 			  for (var i=0; i< data.event.calendars.length; i++) {